Attach a file to a receipt

Attach a file to a receipt without an existing attachment.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

receipt_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects a multipart form containing a file.
filefileRequired

Response

Successful Response
idstringformat: "uuid"
Unique receipt ID.
created_atdatetime
Creation timestamp.
updated_atdatetime
Update timestamp.
originenum
Specifies how this receipt was created in Monite.
Allowed values:
created_by_entity_user_idstringformat: "uuid"
Entity user who created.
currencyenum
Currency code.
currency_exchangemap from strings to any
Currency exchange details.
descriptionstring<=1024 characters
Short transaction description.
document_idstring<=255 characters
Receipt number.
file_idstringformat: "uuid"
The id of the receipt file stored in the file saver.
file_urlstring
The URL of the receipt file stored in the file saver.
issued_atdatetime
Date when the receipt was issued.
merchant_locationstring<=255 characters
Merchant location.
merchant_namestring<=128 characters
Merchant name.
ocr_request_idstringformat: "uuid"
OCR request id.
ocr_statusstring
OCR status.
partner_metadatamap from strings to any
Partner metadata.
senderstringformat: "email"
The email address from which the invoice was sent to the entity.
source_of_dataenum
Source of data.
Allowed values:
total_amountinteger
Total amount in minor units.
transaction_idstringformat: "uuid"
Transaction ID.

Errors

400
Post Receipts ID Attach File Request Bad Request Error
401
Post Receipts ID Attach File Request Unauthorized Error
403
Post Receipts ID Attach File Request Forbidden Error
404
Post Receipts ID Attach File Request Not Found Error
409
Post Receipts ID Attach File Request Conflict Error
422
Post Receipts ID Attach File Request Unprocessable Entity Error
429
Post Receipts ID Attach File Request Too Many Requests Error